Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.fop.render.afp
Enum AFPRendererConfig.ImagesModeOptions

    java.lang.Object
      java.lang.Enum<AFPRendererConfig.ImagesModeOptions>
          org.apache.fop.render.afp.AFPRendererConfig.ImagesModeOptions

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<AFPRendererConfig.ImagesModeOptions>

Enclosing class:
  AFPRendererConfig

    public static enum AFPRendererConfig.ImagesModeOptions

extends java.lang.Enum<AFPRendererConfig.ImagesModeOptions>

An enumeration for the various images modes available to the AFP renderer.

Enum Constant Summary
`MODE_COLOR`
`MODE_GRAYSCALE`

Method Summary
`static AFPRendererConfig.ImagesModeOptions` | `forName(java.lang.String name)`
`java.lang.String` | `getModeAttribute()`
`java.lang.String` | `getName()`
`static AFPRendererConfig.ImagesModeOptions` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static AFPRendererConfig.ImagesModeOptions[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### MODE_GRAYSCALE

    public static final AFPRendererConfig.ImagesModeOptions MODE_GRAYSCALE

### MODE_COLOR

    public static final AFPRendererConfig.ImagesModeOptions MODE_COLOR

Method Detail

### values

    public static AFPRendererConfig.ImagesModeOptions[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AFPRendererConfig.ImagesModeOptions c : AFPRendererConfig.ImagesModeOptions.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AFPRendererConfig.ImagesModeOptions valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getName

    public java.lang.String getName()

### getModeAttribute

    public java.lang.String getModeAttribute()

### forName

    public static AFPRendererConfig.ImagesModeOptions forName(java.lang.String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright 1999-2017 The Apache Software Foundation. All Rights Reserved.